<template>
  <PageLayout>
    <infinite-scroll :load="load" :list="list" ref="scrollRef">
      <template v-slot="{ item }">
        <div :data="item"></div>
        <q-separator />
      </template>
    </infinite-scroll>
  </PageLayout>
</template>
<script setup>
import { ref,shallowRef, onMounted, reactive,watch } from "vue";
import { useRoute, useRouter } from "vue-router";
import { useSelfStore } from "stores/self";
import { api } from "boot/axios";
import { useQuasar } from "quasar";
import { JCZQ_PLAY_TYPES } from 'src/utils/const'
import { useInfiniteScroll } from 'src/composables/infiniteScroll';
const $q = useQuasar();
const route = useRoute();
const router = useRouter();
const selfStore = useSelfStore();
const { list, refresh, load,scrollRef }  = useInfiniteScroll((page)=>{
  return api.test({
    page,
  })
})

</script>
<style lang="scss" scoped></style>
